



<?php ob_start();?>
<?php
 /*
-----------------------------------
|                                 |
| code by Mr Chip         |
| Không xóa để tôn trọng tác giả  |
| zalo                  |
----------------------------------|    */
include 'config.php';
error_reporting(0);


include 'head.php';
function thoigian($var) {
    $shift = (7 + 7) * 3600;
    $time = time ();
    $jun = round (($time - $var)/ 60 );
    if( $jun < 1 ){ $jun = 'Vài giây trước' ;}
    if( $jun >= 1 && $jun < 60 ){ $jun = " $jun phút trước" ;}
    if( $jun >= 60 && $jun <= 1440 ){ $jun = round($jun/60 ); $jun = " $jun giờ trước" ;}
    if( $jun > 1440 && $jun <= 2880){ $jun = 'hôm qua, ' . date("H:i", $var + $shift).'' ;}
    if( $jun > 2880 && $jun < 43200 ){ $jun = round(round($jun/60)/24); $jun = " $jun ngày trước" ;}
    if( $jun >= 43200 && date('Y', $var) == date('Y', time())){$jun = date("d/m - H:i", $var + $shift);}
    if( $jun >= 43200 && date('Y', $var) != date('Y', time())){$jun = date("d/m/Y - H:i", $var + $shift);}
    return $jun ;
    }
    function highlight_bb($var)
    {
        // Список поиска
        $search = array(
'#\[img](.+?)\[/img]#is', // images 
'#\[d](.+?)\[/d]#is', // link download

            '#\[b](.+?)\[/b]#is', // Жирный
            '#\[i](.+?)\[/i]#is', // Курсив
            '#\[u](.+?)\[/u]#is', // Подчеркнутый
            '#\[s](.+?)\[/s]#is', // Зачеркнутый
            '#\[small](.+?)\[/small]#is', // Маленький шрифт
            '#\[big](.+?)\[/big]#is', // Большой шрифт
            '#\[red](.+?)\[/red]#is', // Красный
            '#\[green](.+?)\[/green]#is', // Зеленый
            '#\[blue](.+?)\[/blue]#is', // Синий
            '!\[color=(#[0-9a-f]{3}|#[0-9a-f]{6}|[a-z\-]+)](.+?)\[/color]!is', // Цвет шрифта
            '!\[bg=(#[0-9a-f]{3}|#[0-9a-f]{6}|[a-z\-]+)](.+?)\[/bg]!is', // Цвет фона
            '#\[(quote|c)](.+?)\[/(quote|c)]#is', // Цитата
            '#\[\*](.+?)\[/\*]#is', // Список
            '#\[spoiler=(.+?)](.+?)\[/spoiler]#is' // Спойлер
        );
        // Список замены
        $replace = array(
			'<a href="$1" title="Click to view image" target="_blank"><img src="$1" border="0" style="max-width: 200px;"></img></a>', //images 
			'<img src="/images/bb/download.gif" border="0"></img><a href="$1" title="Click to download">[Download]</a>',// link download

            '<span style="font-weight: bold">$1</span>', // Жирный
            '<span style="font-style:italic">$1</span>', // Курсив
            '<span style="text-decoration:underline">$1</span>', // Подчеркнутый
            '<span style="text-decoration:line-through">$1</span>', // Зачеркнутый
            '<span style="font-size:x-small">$1</span>', // Маленький шрифт
            '<span style="font-size:large">$1</span>', // Большой шрифт
            '<span style="color:red">$1</span>', // Красный
            '<span style="color:green">$1</span>', // Зеленый
            '<span style="color:blue">$1</span>', // Синий
            '<span style="color:$1">$2</span>', // Цвет шрифта
            '<span style="background-color:$1">$2</span>', // Цвет фона
            '<div class="bbcode_container"><div class="bbcode_quote"><div class="quote_container"><div class="bbcode_quote_container"></div>$2</div></div></div>', // Цитата
            '<span class="bblist">$1</span>', // Список
            '<div><div class="spoilerhead" style="cursor:pointer;" onclick="var _n=this.parentNode.getElementsByTagName(\'div\')[1];if(_n.style.display==\'none\'){_n.style.display=\'\';}else{_n.style.display=\'none\';}">$1 (+/-)</div><div class="spoilerbody" style="display:none">$2</div></div>' // Спойлер
        );
        return preg_replace($search, $replace, $var);
    }
    
    function ducnghia($var = '') {
        $var = preg_replace('#\[hr\]#si', '<hr/>', $var);
        $var = str_replace('[HR][/HR]', '<hr/>', $var);
        // $var = preg_replace(array ('#@([\w\d]{2,})#se'), array ("''.tagtv('$1').''"), str_replace("]\n", "]", $var));
        $var = preg_replace('#\[code\](.*?)\[/code\]#si', '<div class="phdr"><b>Mã</b></div><div class="gmenu">\1</div>', $var);
        $var = preg_replace('#\[CODE\](.*?)\[/CODE\]#si', '<div class="phdr"><b>Mã</b></div><div class="gmenu">\1</div>', $var);
        $var = preg_replace('#\[text\](.*?)\[/text\]#si', '<b>TEXT:</b><br><textarea>\1</textarea><br>', $var);
        $var = preg_replace('#\[TEXT\](.*?)\[/TEXT\]#si', '<b>TEXT:</b><br><textarea>\1</textarea><br>', $var);
        $var = str_replace('[br]', '<br/>', $var);
        $var = preg_replace('#\[list\](.*?)\[/list\]#si', '<div style="border-top: 1px dashed #CECFCE; border-bottom: 1px dashed #CECFCE;">$1</div>', $var);
        $var = preg_replace('#\[LIST\](.*?)\[/LIST\]#si', '<div style="border-top: 1px dashed #CECFCE; border-bottom: 1px dashed #CECFCE;">$1</div>', $var);
        $var = preg_replace('#\[center\](.+?)\[/center\]#is', '<div align="center">\1</div>', $var );
        $var = preg_replace('#\[CENTER\](.+?)\[/CENTER\]#is', '<div align="center">\1</div>', $var );
        $var = preg_replace('#\[LEFT\](.+?)\[/LEFT\]#is', '<div align="left">\1</div>', $var );
        $var = preg_replace('#\[left\](.+?)\[/left\]#is', '<div align="left">\1</div>', $var );
        $var = preg_replace('#\[right\](.+?)\[/right\]#is', '<div align="right">\1</div>', $var );
        $var = preg_replace('#\[RIGHT\](.+?)\[/RIGHT\]#is', '<div align="right">\1</div>', $var );
        $var = preg_replace('#\[trichten\](.+?)\[/trichten\]#is', '<div class="user1">Trích dẫn bài của \1</div>', $var );
        $var = preg_replace('#\[c\](.*?)\[/c\]#si', '<span class="quote" style="display:block"> \1</span>', $var);
        $var = preg_replace('#\[trichnd\](.+?)\[/trichnd\]#is', '<div class="quote2"> \1</div>', $var );
        $var = preg_replace('#\[quote=(.*?)\](.*?)\[/quote\]#si', '<div class="phdr">\1 đã viết</div><div class="gmenu">\2</div>', $var);
        $var = preg_replace('#\[img](.+?)\[/img]#is', '<img src="\1" border="0" width="300px" />', $var);
        $var = preg_replace('#\[COLOR=(.+?)\](.+?)\[/COLOR\]#is', '<font style="color:\1;">\2</font>', $var );
        $var = preg_replace('#\[color=(.+?)\](.+?)\[/color\]#is', '<font style="color:\1;">\2</font>', $var );
        $var = preg_replace('#\[SIZE=(.+?)\](.+?)\[/SIZE\]#is', '<font style="font-size:\1;">\2</font>', $var );
        $var = preg_replace('#\[size=(.+?)\](.+?)\[/size\]#is', '<font style="font-size:\1;">\2</font>', $var );
        $var = preg_replace('#\[FONT=(.+?)\](.+?)\[/FONT\]#is', '<font face="\1">\2</font>', $var );
        $var = preg_replace('#\[font=(.+?)\](.+?)\[/font\]#is', '<font face="\1">\2</font>', $var );
         $var = preg_replace('#\[url=(.+?)\](.+?)\[/url\]#is', '<a href="\1" target="_blank">\2</a>', $var );
        $var = highlight_bb($var);
        //////////////
        
        return $var;
        }
        
        function online($ducnghia) {
	//$data = mysql_fetch_assoc(mysql_query("SELECT * FROM `username` WHERE `id`='".$ducnghia."'"));
	
if(time() > $data['time'] + 300) {
    $ducnghiait = '<img style="vertical-align:middle;"  src="/img/offline.png" border="0">';
} else  {
    $ducnghiait = '<img style="vertical-align:middle;"  src="/img/online.png" border="0">';
}


return $ducnghiait ;
}

	
?>

